<template>
  <view class="container">
    <!-- 顶部导航 -->
    <view class="Tab_con flex_r flex_ac flex_jb">
      <view
        class="tab_list flex_r flex_ac"
        :class="current == index ? 'active' : ''"
        v-for="(item, index) in TabList"
        :key="index"
        @tap="SetStatus(index)"
        >{{ item.title }}</view
      >
    </view>
    <!-- 顶部导航-end -->
    <!-- 资金列表 -->
    <view class="con">
      <view class="list" v-for="(item, index) in list" :key="index">
        <view class="list_head flex_r flex_ac flex_jb">
          <view class="head_name">{{ type(item.type_id) }}</view>
          <view :class="['head_price',item.act == '+' ? 'g_color' : '']">{{ item.act }}{{item.num }}</view>
        </view>
        <view class="list_con flex_r flex_ac flex_jb">
          <view class="list_time">{{ item.create_time }}</view>
          <view class="list_balance">余额{{ item.after }}</view>
        </view>
      </view>
      <not-goods v-if="haveGoods" textStr="暂无流水资金信息"></not-goods>
    </view>
    <!-- 资金列表 -->
  </view>
</template>
<script>
let page = 1;
let app = getApp();
var appEv = app.$vm.$options;
import { post } from "@/request/api.js";
import notGoods from "@/components/not-goods/index.vue";
export default {
  components: {
    notGoods,
  },
  data() {
    return {
      haveGoods: false, // 是否有商品
      current: 0,
      TabList: [
        { title: "全部", sauts: 0 },
        { title: "收益", sauts: 1 },
        { title: "支出", sauts: 2 },
      ],
      list: [],
      page:1
    };
  },
  onShow() {
    this.page = 1;
    this.list = [];
    this.loadData();
  },
  methods: {
    loadData: function () {
      let data = {
        page: page,
        rows:20,
        type: this.current,
      };
      uni.showLoading({ mask: true });
      post("v1/my/moneylog", data).then((res) => {
        uni.hideLoading();
        if (res.code === 0) {
          if (res.data.data.data.length > 0) {
            this.list = this.list.concat(res.data.data.data);
          } else {
            if (this.page == 1) {
              this.haveGoods = true;
              this.page = -1;
            } else {
              this.page = -1;
              appEv.errTips("暂无更多");
            }
          }
        } else {
          if (page == 1) {
            this.haveGoods = true;
            this.page = -1;
          } else {
            this.page = -1;
            appEv.errTips("暂无更多");
          }
        }
      });
    },
    SetStatus: function (i) {
      this.current = i;
      this.page = 1;
      this.list = [];
      this.haveGoods = false;
      this.loadData();
    },
  },
  computed: {
    type() {
      return (va) => {
        switch (va) {
          case 1: return "充值";
          case 2: return "提现";
          case 3: return "购买产品支出";
          case 4: return "社区消费奖励";
          case 5: return "合伙人分红收益";
          case 6: return "寄卖成功收益";
          case 7: return "退款到云宝";
          case 8: return "赠送支出";
          case 9: return "转化支出";
          case 10: return "联合创始人分红收益";
          case 11: return "创始股东分红收益";
          case 12: return "节点服务津贴";
          case 13: return "赠送收入";
          case 14: return "区域节点收益";
          default: return "";
        }
      }
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.page != -1) {
      setTimeout(function () {
        ++this.page;
        this.loadData();
      }, 800);
    }
  },
};
</script>
<style lang="scss">
// 页面配置
// 页面配置-end

// 顶部列表
.tab_list {
  height: 100%;
  box-sizing: border-box;
  font-size: 30rpx;
  color: #808080;
}

.Tab_con {
  width: 100%;
  height: 92rpx;
  background: #fff;
  padding: 0 30rpx;
  box-sizing: border-box;
}

.active {
  color: #1bbd89;
  border-bottom: 6rpx solid #1bbd89;
}

// 顶部列表-end

// 资金列表
.con {
  border-top: 16rpx solid #f4f4f4;
}

.list_con {
  width: 100%;
  overflow: hidden;
}

.list_head {
  width: 100%;
  overflow: hidden;
  margin-bottom: 5rpx;
}

.list_time {
  font-size: 24rpx;
  color: #a1a1a1;
}

.list_balance {
  font-size: 24rpx;
  color: #a1a1a1;
}

.head_price {
  font-size: 32rpx;
  font-family: "SourceHanSansCN-Medium";
}

.head_name {
  font-size: 30rpx;
  color: #212121;
  font-family: "SourceHanSansCN-Medium";
}

.list {
  width: 100%;
  overflow: hidden;
  padding: 30rpx;
  box-sizing: border-box;
  border-bottom: 3rpx solid #f4f4f4;
}

// 资金列表-end

// 状态颜色
.g_color {
  color: #1bbd89;
}

.y_color {
  color: #f15b21;
}

// 状态颜色-end
</style>